Bug 1249010 - the package nodejs-js-beautify doesn't pack the python library from the same source code
the package nodejs-js-beautify doesn't pack the python library from the same ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nodejs-js-beautify (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eduardo Mayorga
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DuplicSysLibsTracker mitmproxy 1236249 1228942
  Show dependency treegraph
 
Reported: 2015-07-31 06:31 EDT by Michal Ambroz
Modified: 2017-08-08 08:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:04:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2015-07-31 06:31:17 EDT
Description of problem:
The package derived from code from https://github.com/beautify-web/js-beautify is packing only the javascript portion (as nodejs package), but omits packing the python library of the same.

Version-Release number of selected component (if applicable):
1.5.9

How reproducible:
100%

Steps to Reproduce:
1. download code from https://github.com/beautify-web/js-beautify 
2. see there is also python library of the same
3. see that it is not packaged by the package

Actual results:
python part of the code is not packaged

Expected results:
package should provide all the possible use-cases from the same source to avoid duplication of packages/sources.

Additional info:
This would be useful for at least mitmproxy and bluefish, which have the library currently embedded.
Comment 1 Eduardo Mayorga 2015-07-31 16:50:02 EDT
They must not be built from the same source since the nodejs package needs to be ExclusiveArched and cannot be overridden in pythonx- subpackages.
Comment 2 Michal Ambroz 2015-08-01 15:38:13 EDT
Then perhaps the nodejs package should be sub-package?
Comment 3 Eduardo Mayorga 2015-08-17 01:39:07 EDT
I do not see how to make *only some* subpackages ExclusiveArch'd. I tried this:
https://fedorapeople.org/~mayorga/jsbeautify.spec
https://fedorapeople.org/~mayorga/jsbeautify-1.5.10-4.fc22.src.rpm

and if I set arch_override = ppc64 (where the Python package should build fine), the build fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=10566229

Am I missing something?
Comment 4 William Moreno 2015-08-17 11:15:51 EDT
If you add some conditional to skip build the node code in ppc?

if ppc
run python code
no run nodejs code
endif
Comment 5 Paul Howarth 2015-10-27 10:26:53 EDT
Perhaps try %ifarch/%ifnarch rather than ExclusiveArch?
Comment 6 Jan Kurik 2016-02-24 08:30:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 7 Fedora Admin XMLRPC Client 2016-04-25 23:48:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2016-07-07 23:59:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2017-07-25 15:04:27 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2017-08-08 08:04:17 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.